MOUNT_NTFS(8)

NAME
mount_ntfs - mount an NTFS file system

SYNOPSIS
mount_ntfs [-ai] [-g gid] [-m mask] [-o options] [-u uid] special node

DESCRIPTION
The mount_ntfs command attaches the NTFS filesystem residing on the device special to the global filesystem namespace at the location indicated by node. This command is invoked by mount(8) when using the syntax

mount [options] -t ntfs special node

The special device is either a disklabel(8) UID (DUID) or an entry in /dev. If it is a DUID, it will be automatically mapped to the appropriate entry in /dev. In either case the partition must be present in the disklabel loaded from the device. The partition name is the last letter in the entry name. For example, /dev/sd0a and 3eb7f9da875cb9ee.a both refer to the ‘a’ partition.

The supported NTFS versions include both NTFS4, as used by Microsoft Windows NT 4.0, and NTFS5, as used by Microsoft Windows 2000 and XP. Only read-only operation is permitted, which is automatically enforced.

The options are as follows:

-a  Force behaviour to return MS-DOS 8.3 names also on readdir().

-g gid
    Set the group of the files in the file system to gid. The default group is the group of the directory on which the file system is being mounted.

-i  Make name lookup case insensitive for all names except POSIX names.

-m mask
    Specify the maximum file permissions for files in the file system.

-o options
    Options are specified with a -o flag followed by a comma separated string of options. See the mount(8) man page for possible options and their meanings.

-u uid
    Set the owner of the files in the file system to uid. The default owner is the owner of the directory on which the file system is being mounted.

FEATURES

  NTFS file attributes
NTFS file attributes can be accessed in the following way:

    foo[[:ATTRTYPE]:ATTRNAME]

‘ATTRTYPE’ is one of identifier listed in $AttrDef file of volume. Default is $DATA. ‘ATTRNAME’ is an attribute name. Default is none.

Examples:

To get volume name (in Unicode):

    # cat /mnt/\$Volume:\$VOLUME_NAME

To read directory raw data:

    # cat /mnt/foodir:\$INDEX_ROOT:\$I30

SEE ALSO
mount(2), unmount(2), disklabel(5), fstab(5), disklabel(8), mount(8)

HISTORY
Support for NTFS first appeared in FreeBSD 3.0. It was later ported to OpenBSD and first appeared in OpenBSD 3.4.

AUTHORS
-nosplit NTFS kernel implementation, mount_ntfs, and this manual were originally written by Semen Ustimenko <semenu@FreeBSD.org>.

The OpenBSD port was done by Julien Bordet <zejames@greyhats.org>.

BUGS
Only read support is enabled.

If the NTFS partition is marked as ‘dynamic’ under Microsoft Windows XP, it won't be possible to access it under OpenBSD anymore.